package ch.zhaw.gartenverwaltung.types;

import ch.zhaw.gartenverwaltung.json.GrowthPhaseTypeDeserializer;
import ch.zhaw.gartenverwaltung.json.HardinessZoneDeserializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import java.time.MonthDay;
import java.util.List;


public record GrowthPhase(
        MonthDay startDate,
        MonthDay endDate,
        int group,
        WateringCycle wateringCycle,
        @JsonDeserialize(using = GrowthPhaseTypeDeserializer.class) GrowthPhaseType type,
        @JsonDeserialize(using = HardinessZoneDeserializer.class) HardinessZone zone,
        List<TaskTemplate> taskTemplates) {
}
